# Analytics ## Fetch day-wise session and recording analytics data for an App `client.realtimeKit.analytics.getOrgAnalytics(stringappId, AnalyticsGetOrgAnalyticsParamsparams, RequestOptionsoptions?): AnalyticsGetOrgAnalyticsResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/analytics/daywise` Returns day-wise session and recording analytics data of an App for the specified time range start_date to end_date. If start_date and end_date are not provided, the default time range is set from 30 days ago to the current date. ### Parameters - `appId: string` The app identifier tag. - `params: AnalyticsGetOrgAnalyticsParams` - `account_id: string` Path param: The account identifier tag. - `end_date?: string` Query param: end date in YYYY-MM-DD format - `start_date?: string` Query param: start date in YYYY-MM-DD format ### Returns - `AnalyticsGetOrgAnalyticsResponse` - `data?: Data` - `recording_stats?: RecordingStats` Recording statistics of an App during the range specified - `day_stats?: Array` Day wise recording stats - `day?: string` - `total_recording_minutes?: number` Total recording minutes for a specific day - `total_recordings?: number` Total number of recordings for a specific day - `recording_count?: number` Total number of recordings during the range specified - `recording_minutes_consumed?: number` Total recording minutes during the range specified - `session_stats?: SessionStats` Session statistics of an App during the range specified - `day_stats?: Array` Day wise session stats - `day?: string` - `total_session_minutes?: number` Total session minutes for a specific day - `total_sessions?: number` Total number of sessions for a specific day - `sessions_count?: number` Total number of sessions during the range specified - `sessions_minutes_consumed?: number` Total session minutes during the range specified - `success?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.realtimeKit.analytics.getOrgAnalytics('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.data); ``` #### Response ```json { "data": { "recording_stats": { "day_stats": [ { "day": "day", "total_recording_minutes": 0, "total_recordings": 0 } ], "recording_count": 0, "recording_minutes_consumed": 0 }, "session_stats": { "day_stats": [ { "day": "day", "total_session_minutes": 0, "total_sessions": 0 } ], "sessions_count": 0, "sessions_minutes_consumed": 0 } }, "success": true } ``` ## Domain Types ### Analytics Get Org Analytics Response - `AnalyticsGetOrgAnalyticsResponse` - `data?: Data` - `recording_stats?: RecordingStats` Recording statistics of an App during the range specified - `day_stats?: Array` Day wise recording stats - `day?: string` - `total_recording_minutes?: number` Total recording minutes for a specific day - `total_recordings?: number` Total number of recordings for a specific day - `recording_count?: number` Total number of recordings during the range specified - `recording_minutes_consumed?: number` Total recording minutes during the range specified - `session_stats?: SessionStats` Session statistics of an App during the range specified - `day_stats?: Array` Day wise session stats - `day?: string` - `total_session_minutes?: number` Total session minutes for a specific day - `total_sessions?: number` Total number of sessions for a specific day - `sessions_count?: number` Total number of sessions during the range specified - `sessions_minutes_consumed?: number` Total session minutes during the range specified - `success?: boolean`